export interface Options extends SplitOptions {
    locale?: Locale;
}
/**
 * Convert any string into a lower case string with spaces between words.
 */
export declare function noCase(input: string, options?: Options): string;
export interface SplitOptions {
    separateNumbers?: boolean;
}
/**
 * Split any cased input strings into an array of words.
 */
export declare function split(input: string, options?: SplitOptions): string[];
export type Locale = string[] | string | false | undefined;
export declare function toLower(locale: Locale): (input: string) => string;
export declare function toUpper(locale: Locale): (input: string) => string;
